GDB (xrefs)

Functions
/tmp/gdb-8.1/gdb/obsd-tdep.h File Reference

Go to the source code of this file.

## Functions
CORE_ADDR | obsd_skip_solib_resolver (struct gdbarch *, CORE_ADDR)
void | obsd_init_abi (struct gdbarch_info, struct gdbarch *)

## Function Documentation

## ◆ obsd_init_abi()

void obsd_init_abi | ( | struct gdbarch_info | ,
|  | struct gdbarch * |
| ) |  |

Definition at line 319 of file obsd-tdep.c.

References obsd_auxv_parse(), obsd_gdb_signal_from_target(), obsd_gdb_signal_to_target(), set_gdbarch_auxv_parse(), set_gdbarch_gdb_signal_from_target(), and set_gdbarch_gdb_signal_to_target().

Referenced by amd64obsd_init_abi(), i386obsd_init_abi(), mips64obsd_init_abi(), and sparc64obsd_init_abi().

## ◆ obsd_skip_solib_resolver()

CORE_ADDR obsd_skip_solib_resolver | ( | struct gdbarch * | ,
|  | CORE_ADDR |
| ) |  |

Definition at line 28 of file obsd-tdep.c.

References BMSYMBOL_VALUE_ADDRESS, find_solib_trampoline_target(), frame_unwind_caller_pc(), get_current_frame(), and lookup_minimal_symbol().

Referenced by alphaobsd_init_abi(), armobsd_init_abi(), sparc32obsd_init_abi(), and sparc64obsd_init_abi().